import 'dart:convert';
import 'dart:developer';

import 'package:flutter/material.dart';
import 'package:flutter_svg/svg.dart';
import 'package:get/get.dart';
import 'package:quiz_app/constants.dart';
import 'package:quiz_app/controllers/question_controller.dart';
import 'package:quiz_app/service/function.dart';

class ScoreScreen extends StatefulWidget {
  final String fetchUrl;
  ScoreScreen({this.fetchUrl});

  @override
  _ScoreScreenState createState() => _ScoreScreenState();
}

class _ScoreScreenState extends State<ScoreScreen> {
  var data;
  String output = 'Touch the Button Below';

  Future<Map> postData(Map input) async {
    String url =
        "http://10.0.2.2:5000/50/Female/17/Single/Yes/2/Normal/No/No/No/No/No/No/5.0";
    Map result;
    input.forEach((key, value) {
      log(key.toString());
      log(value);
      if (value == "0 - 33(Bad)") {
        value = "0";
      }
      if (value == "34 - 66(Normal)") {
        value = "50";
      }
      if (value == "67 - 100(Good)") {
        value = "80";
      }
      if (value == "10 - 20") {
        value = "17";
      }
      if (value == "21 - 30") {
        value = "25";
      }
      if (value == "31 - 60") {
        value = "35";
      }
      if (value == "Over 60") {
        value = "80";
      }
      if (value == "Lessthan 4 hours") {
        value = "3.0";
      }
      if (value == "4 - 6 hours") {
        value = "5.0";
      }
      if (value == "Over 6 hours") {
        value = "6.5";
      }
      url = url + "/" + value;
      log(url);
    });

    return result;
  }

  @override
  Widget build(BuildContext context) {
    QuestionController _qnController = Get.put(QuestionController());
    String url = widget.fetchUrl;
    return Scaffold(
      body: Stack(
        fit: StackFit.expand,
        children: [
          SvgPicture.asset("assets/icons/bg.svg", fit: BoxFit.fill),
          Column(
            mainAxisAlignment: MainAxisAlignment.center,
            children: [
              Spacer(flex: 1),
              Text(
                "Your Depression Risk Level",
                style: Theme.of(context)
                    .textTheme
                    .headline4
                    .copyWith(color: kSecondaryColor),
              ),
              Spacer(flex: 1),
              Text(output, style: TextStyle(fontSize: 30, color: Colors.white)),
              Spacer(flex: 1),
              TextButton(
                  onPressed: () async {
                    data = await fetchData(url);
                    var decoded = jsonDecode(data);
                    log(data);
                    setState(() {
                      output = decoded["result"];
                      log(output);
                    });
                  },
                  child: Container(
                      width: double.infinity,
                      alignment: Alignment.center,
                      padding: EdgeInsets.all(kDefaultPadding * 0.75), // 15
                      decoration: BoxDecoration(
                        gradient: kPrimaryGradient,
                        borderRadius: BorderRadius.all(Radius.circular(12)),
                      ),
                      child: Text('View Results',
                          style: Theme.of(context).textTheme.button.copyWith(
                              fontSize: 30,
                              fontStyle: FontStyle.italic,
                              //backgroundColor: Colors.teal,
                              color: Colors.white)))),
              Spacer(flex: 1),
              Text("")
            ],
          )
        ],
      ),
    );
  }
}
